Bug 153195 - New port: www/mathjax cross-browser JavaScript display engine for mathematics
Summary: New port: www/mathjax cross-browser JavaScript display engine for mathematics
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-16 00:00 UTC by Lukasz Stelmach
Modified: 2012-07-18 16:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukasz Stelmach 2010-12-16 00:00:22 UTC
MathJax is an open source JavaScript display engine for mathematics
that works in all modern browsers.

MathJax works 100% in the browser so there is no need for a setup more
fancy than unpacking everything to a WWWDIR and setting up web server
to serve it. That's what authors recommend.

PS. This is the second attempt as the first one has been classified as
spam.

Fix: 

[bugmeister note: see http://people.freebsd.org/~linimon/tmp/mathjax.shar]
Comment 1 Mark Linimon 2010-12-16 00:02:53 UTC
> PS. This is the second attempt as the first one has been classified as
> spam.

This was due to the immense size of the email (nearly 2M).

I've extracted the patch and put it up on a web page, then manually
re-entered the PR with just a URL to it.
Comment 2 Nicola Vitale freebsd_committer 2011-04-22 10:42:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

I will take it.
Comment 3 dfilter service freebsd_committer 2012-07-18 16:47:58 UTC
Author: nivit
Date: Wed Jul 18 15:47:48 2012
New Revision: 301101
URL: http://svn.freebsd.org/changeset/ports/301101

Log:
  MathJax is an open source JavaScript display engine for mathematics
  that works in all modern browsers.
  
  WWW: http://www.mathjax.org
  
  Buildlog:	http://goo.gl/Gnr3v
  PR:		ports/153195
  Submitted by:	Lukasz Stelmach <lukasz.stelmach@iem.pw.edu.pl>

Added:
  head/www/mathjax/
  head/www/mathjax/Makefile   (contents, props changed)
  head/www/mathjax/distinfo   (contents, props changed)
  head/www/mathjax/pkg-descr   (contents, props changed)
Modified:
  head/www/Makefile

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Wed Jul 18 15:12:23 2012	(r301100)
+++ head/www/Makefile	Wed Jul 18 15:47:48 2012	(r301101)
@@ -426,6 +426,7 @@
     SUBDIR += mahara
     SUBDIR += mambo
     SUBDIR += man2web
+    SUBDIR += mathjax
     SUBDIR += mathopd
     SUBDIR += mawstats
     SUBDIR += mediawiki

Added: head/www/mathjax/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/mathjax/Makefile	Wed Jul 18 15:47:48 2012	(r301101)
@@ -0,0 +1,36 @@
+# -*- mode: makefile-bsdmake -*-
+# New ports collection makefile for:	www/mathjax
+# Date created:				7 December 2010
+# Whom:					Lukasz Stelmach <lukasz.stelmach@iem.pw.edu.pl>
+#
+# $FreeBSD$
+
+PORTNAME=	MathJax
+PORTVERSION=	2.0
+#PORTREVISION=	0
+CATEGORIES=	www
+MASTER_SITES=	https://nodeload.github.com/mathjax/MathJax/tarball/v${PORTVERSION}-latest?dummy=/
+
+MAINTAINER=	lukasz.stelmach@iem.pw.edu.pl
+COMMENT=	A cross-browser JavaScript display engine for mathematics
+
+FETCH_BEFORE_ARGS=	-o ${DISTNAME}${EXTRACT_SUFX}
+
+NO_BUILD=	 yes
+
+WRKSRC=	${WRKDIR}/mathjax-MathJax-07669ac
+
+# Changing permissions of 30k files with find -exec (COPYTREE) is way
+# too slow.
+do-install:
+	${MKDIR} ${WWWDIR}
+	(cd ${WRKSRC} && \
+		${FIND} -d . | ${CPIO} -dumpl ${WWWDIR} >/dev/null 2>&1)
+	${FIND} -d ${WWWDIR} -type d -print0 | ${XARGS} -0 ${CHMOD} 755
+	${FIND} -d ${WWWDIR} -type f -print0 | ${XARGS} -0 ${CHMOD} ${SHAREMODE}
+	${CHOWN} -R ${BINOWN}:${BINGRP} ${WWWDIR}
+	@(cd ${PREFIX}; ${FIND} -s ${WWWDIR_REL} -not -type d) >> ${TMPPLIST}
+	@(cd ${PREFIX}; ${FIND} -s -d ${WWWDIR_REL} -type d) \
+	| ${SED} -ne 's,^,@dirrm ,p' >> ${TMPPLIST}
+
+.include <bsd.port.mk>

Added: head/www/mathjax/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/mathjax/distinfo	Wed Jul 18 15:47:48 2012	(r301101)
@@ -0,0 +1,2 @@
+SHA256 (MathJax-2.0.tar.gz) = 01ad97362b9bac25420cbffd9d733d9abd3a750ba82b68063d4b2608c43a70ae
+SIZE (MathJax-2.0.tar.gz) = 9457775

Added: head/www/mathjax/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/mathjax/pkg-descr	Wed Jul 18 15:47:48 2012	(r301101)
@@ -0,0 +1,4 @@
+MathJax is an open source JavaScript display engine for mathematics
+that works in all modern browsers.
+
+WWW: http://www.mathjax.org
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Nicola Vitale freebsd_committer 2012-07-18 16:50:50 UTC
State Changed
From-To: open->closed

New port added. Thanks!